Extending Qt Creator Manual | WarningFlagAdder

Extending Qt Creator Manual 4.5.2

# WarningFlagAdder Class

(ProjectExplorer::GccToolChain::WarningFlagAdder)

- List of all members, including inherited members

## Public Functions

| WarningFlagAdder(const QString &flag, WarningFlags &flags)
bool | triggered() const
void | operator()(const char[] name, WarningFlags flagsSet)

## Member Function Documentation

### WarningFlagAdder::WarningFlagAdder(const QString &flag, WarningFlags &flags)

Default constructs an instance of WarningFlagAdder.

### bool WarningFlagAdder::triggered() const

### void WarningFlagAdder::operator()(const char[] name, WarningFlags flagsSet)